import * as type from "../actions/actionTypes";
import initialState from "./initialState";

export default function country(state = initialState.country, action) {
    switch (action.type) {
        case type.FETCH_COUNTRIES_SUCCESS:
            return { ...state, countries: action.result, isLoading: false, error: null };
        case type.FETCH_COUNTRIES_FAILED:
            return { ...state, countries: [], isLoading: false, error: action.result };
        case type.FETCH_COUNTRIES_BEGIN:
            return { ...state, countries: [], isLoading: true, error: null };
        default:
            return state;
    }
}