import React from "react";
import { render } from "react-dom";
import HomePage from "./Components/Home/HomePage";
import "./index.css";
import configureStore from "./Redux/configureStore";
import { Provider as ReduxProvider } from "react-redux";


const store = configureStore();

render(<ReduxProvider store={store}>
    <HomePage />
</ReduxProvider>,
    document.getElementById("root"));
